﻿html, body, #freeTrialContainer {
    height: 100%;
}

body {
    margin: 0;
    background-image: url(/Images/Home/FreeTrial/freetrial-background.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

    body:before {
        -webkit-box-shadow: 0 0 100px 20px #000 inset;
        box-shadow: 0 0 100px 20px #000 inset;
        content: '';
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }


input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    border: 1px solid #f6d74f;
    -webkit-text-fill-color: #f6d74f;
    -webkit-box-shadow: 0 0 0px 1000px rgba(255,255,255,0.1) inset;
    transition: background-color 5000s ease-in-out 0s;
}
.field-validation-error {
    color: #ff4040;
}

#freeTrialContainer {
    position: relative;
    min-height: 600px;
}

    #freeTrialContainer .inner-container {
        width: 700px;
        margin: 0 auto;
        padding: 60px 0;
    }

        #freeTrialContainer .inner-container.center {
            position: absolute;
            top: 50%;
            left: 50%;
            -webkit-transform: translate(-50%,-50%);
            -moz-transform: translate(-50%,-50%);
            -ms-transform: translate(-50%,-50%);
            -o-transform: translate(-50%,-50%);
            transform: translate(-50%,-50%);
            /* box-shadow: 0 0 30px -9px #fff; */
            padding: 20px;
        }

    #freeTrialContainer .header-content {
        /* background-color: rgba(38,38,38,0.8); */
        padding: 20px;
        border-radius: 5px 5px 0 0;
        text-align: center;
    }

    #freeTrialContainer .window-title {
        margin: 0;
        color: #f68b0f;
        font-size: 40px;
        font-weight: 400;
        text-transform: uppercase;
    }

    #freeTrialContainer .window-subtitle {
        margin-bottom: 0;
        font-size: 18px;
        font-weight: 200;
        color: #fff;
        padding: 2px;
    }

    #freeTrialContainer .body-content {
        background-color: rgba(36,36,36,0.6);
        border: 2px solid transparent;
        padding: 40px;
        color: #FFFFFF;
        box-shadow: 0 0 25px -5px #000;
    }



    #freeTrialContainer .footer-content {
        margin-top: 20px;
    }

    #freeTrialContainer .body-content > h5 {
        margin-top: 0;
    }

.send-message-box {
    color: #242424;
}

    .send-message-box .phone {
        padding: 0px 20px 0px 70px !important;
        width: 100%;
        float: left;
        line-height: 60px;
        font-size: 20px;
        background-color: transparent;
        border: 1px solid #fff;
        color: #FFF;
    }

    .send-message-box .intl-tel-input {
        width: 70%;
        float: left;
    }

        .send-message-box .intl-tel-input.allow-dropdown .selected-flag {
            width: 60px;
            padding: 0;
        }

        .send-message-box .intl-tel-input .selected-flag .iti-flag {
            top: 50%;
            left: 40%;
            transform: translate(-50%,-50%);
            margin: 0;
        }

    .send-message-box .send-message {
        width: 30%;
        padding: 0;
        float: left;
        font-size: 20px;
        line-height: 60px;
        border: 1px solid #fff;
        border-left: 0;
    }


.verify-message-box .verify-input {
    width: 100%;
    float: left;
    text-align: center;
    font-size: 40px;
    margin-bottom: 1%;
}

.verify-message-box .verify-resend {
    float: left;
    width: 33%;
}

.verify-message-box .verify-button {
    margin-right: 1%;
    float: left;
    width: 66%;
}

#verificationError {
    display: block;
    float: left;
    width: 100%;
    color: #ff0000;
}

/*.has-error input,
.has-error button {
    border-color: #f00 !important;
}*/
.progress-bar {
    background-image: none !important;
}
/* * * * * * * * * * Footer styles* * * * * * * * * * */
#freeTrialContainer .footer-content {
    color: #FFFFFF;
    padding-top: 10px;
    font-size: 16px;
    float: left;
    width: 100%;
    border-top: 1px solid #FFF;
}

    #freeTrialContainer .footer-content .copyright {
        font-size: 16px;
        font-weight: 100;
    }

    #freeTrialContainer .footer-content .social {
        color: rgba(255,255,255,0.7);
        margin-left: 10px;
        position: relative;
        display: block;
        float: left;
        -webkit-transition: color .5s ease-in-out;
        -moz-transition: color .5s ease-in-out;
        -ms-transition: color .5s ease-in-out;
        -o-transition: color .5s ease-in-out;
        transition: color .5s ease-in-out;
    }

        #freeTrialContainer .footer-content .social:hover {
            color: rgba(255,255,255,1);
        }


.form-group {
    position: relative;
    margin-bottom: 2%;
    width: 100%;
    float: left;
}

    .form-group .jb-label {
        position: absolute;
        top: 37px;
        left: 20px;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
    }

    .form-group.focused .jb-label {
        font-size: 16px;
        top: 20px;
    }

    .form-group .jb-lbl-input {
        font-size: 16px;
        color: #ffffff;
        padding: 30px 20px 0;
        line-height: 40px;
        height: auto;
        font-weight: 100;
        background-color: rgba(255, 255, 255, 0);
        border: 1px solid rgba(255, 255, 255, 0.51);
        position: relative;
    }

        .form-group .jb-lbl-input:focus {
            box-shadow: 0 0 6px -1px #FFFFFF;
        }

.domain-url-temp {
    font-size: 16px;
    padding: 0;
    margin: 0;
    font-weight: 100;
    font-family: inherit;
}

.form-group.valid-input .jb-lbl-input {
    border-color: #55C700;
}

    .form-group.valid-input .jb-lbl-input:focus {
        box-shadow: 0 0 6px -1px #55C700;
    }

.form-group.invalid-input .jb-lbl-input {
    border-color: #FF0000;
}

    .form-group.invalid-input .jb-lbl-input:focus {
        box-shadow: 0 0 6px -1px #FF0000;
    }


.form-group .domain-url {
    position: absolute;
    left: 92px;
    display: none;
    top: 35px;
    padding-left: 2px !important;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    font-size: 20px;
}

.form-group.focused .domain-url {
    top: 50px;
    left: auto;
    display: block;
    right: 50px;
    font-size: 15px;
    color: #5ad609;
    font-weight: bold;
}

.form-group .jb-label,
.form-group .domain-url {
    -webkit-transition: all .3s;
    -moz-transition: all .3s;
    -ms-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
    z-index: 1;
}

.form-group.password-progress input {
    z-index: 1;
}

.form-group.password-progress .progress {
    margin: 0;
    position: absolute;
    top: -8px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: transparent;
    background-image: none;
    z-index: 0;
}

.form-group.password-progress #progessBar {
    position: absolute;
    top: 25px;
    right: 25px;
    font-size: 30px;
    font-weight: 100;
}

.form-group.domain .domain-text-width {
    font-size: 16px;
    font-weight: 100;
    position: absolute;
    visibility: hidden;
}

.form-group.domain .jb-lbl-input {
    padding-right: 145px;
}

.form-group.domain .jbi-check,
.form-group.domain .jbi-remove {
    position: absolute;
    top: 42px;
    right: 17px;
    font-size: 16px;
}

.form-group.domain .jbi-check {
    color: #55c700;
}

.form-group.domain .jbi-remove {
    color: #f00;
}

.half-width {
    width: 49%;
    float: left;
}

.margin-right {
    margin-right: 2%;
}


section.text {
    font-size: 18px;
    color: #fff;
    font-family: 'Raleway';
    font-weight: 300;
    line-height: 35px;
    text-shadow: 0 0 10px #000;
    padding-top: 20px;
}

    section.text > ul {
        margin: 0;
        padding: 0 20px;
    }


#passwordGroup {
    position: relative;
}

    #passwordGroup .password-strength-info {
        background-color: rgba(0,0,0,0.5);
        color: #000;
        padding: 15px 0;
        list-style: none;
        position: absolute;
        top: 0;
        left: -15px;
        z-index: 2;
        box-shadow: 0 0 10px 0 #000;
        transform: translateX(-100%);
        border: 1px solid #000;
        margin: 0;
        display: none;
    }

        #passwordGroup .password-strength-info:before {
            content: '';
            display: block;
            position: absolute;
            top: 10px;
            right: -2px;
            transform: translateX(100%);
            border-top: 10px solid transparent;
            border-bottom: 10px solid transparent;
            border-left: 10px solid rgba(0,0,0,0.7);
        }

        #passwordGroup .password-strength-info > li {
            position: relative;
            padding: 0 15px;
        }

            #passwordGroup .password-strength-info > li.valid {
                color: #55c700;
            }

            #passwordGroup .password-strength-info > li.invalid {
                color: #f00;
            }

            #passwordGroup .password-strength-info > li:before {
                font-family: 'jumbula-icons';
                display: inline-block;
                margin-right: 10px;
                font-size: 10px;
            }

        #passwordGroup .password-strength-info li.invalid:before {
            content: '\e036';
        }

        #passwordGroup .password-strength-info li.valid:before {
            content: '\e045';
        }


@media (max-width: 1350px) {
    #passwordGroup .password-strength-info {
        left: 0px;
        top: 105%;
        right: 0px;
        transform: initial;
        background-color: rgb(39, 39, 39);
    }
}

@media (max-width: 480px) {
    .jb-select {
        padding: 0px 10px !important;
        height: 52px !important;
        font-size: 12px !important;
    }

    #freeTrialContainer .footer-content {
        text-align: center;
    }

        #freeTrialContainer .footer-content .copyright, #freeTrialContainer .footer-content > div {
            float: initial !important;
            overflow: hidden;
            display: inline-block;
        }

    #freeTrialContainer .inner-container {
        padding: 0 !important;
    }

    section.text {
        padding: 15px !important;
        font-size: 14px !important;
    }

    #freeTrialContainer .footer-content {
        padding: 15px !important;
    }

    .half-width {
        width: 100%;
    }

    #freeTrialContainer .body-content {
        padding: 15px;
    }

    #freeTrialContainer .window-title {
        font-size: 16px;
    }

    #freeTrialContainer .window-subtitle {
        font-size: 12px;
        margin-top: 5px;
    }

    .send-message-box .send-message,
    .send-message-box .phone {
        font-size: 10px;
        line-height: 50px;
    }

    .jb-label {
        font-size: 12px;
        line-height: 14px;
    }

    .form-group {
        margin-bottom: 3%;
    }

        .form-group .jb-lbl-input {
            font-size: 12px;
            padding: 20px 15px 0;
            line-height: 30px;
        }

    .domain-url-temp {
        font-size: 12px;
    }

    .form-group .jb-label {
        top: 29px;
        left: 15px;
        font-size: 12px;
    }

    .form-group.focused .jb-label {
        font-size: 10px;
        top: 15px;
        left: 15px;
    }

    .form-group .domain-url {
        left: 112px;
        top: 27px;
        font-size: 14px;
    }

    .form-group.focused .domain-url {
        top: 36px;
        right: 30px;
        font-size: 12px;
    }

    .form-group.domain .jbi-check,
    .form-group.domain .jbi-remove {
        top: 29px;
        right: 10px;
        font-size: 10px;
    }

    .form-group.domain .jb-lbl-input {
        padding-right: 125px;
    }

    .jb-lg-btn {
        line-height: 50px;
        font-size: 16px;
        padding: 0;
    }

    .jb-select {
        padding: 0 10px !important;
        height: 52px;
        font-size: 12px;
    }

    .valid-input:after,
    .invalid-input:after {
        top: 28px;
        right: 9px;
        font-size: 10px;
    }
}

@media (max-width: 768px) {

    #freeTrialContainer .inner-container {
        width: 100%;
        padding: 20px;
    }

    #freeTrialContainer .footer-content {
        padding-top: 4px;
        font-size: 12px;
        margin-top: 10px;
    }

        #freeTrialContainer .footer-content .copyright {
            font-size: 12px;
        }

    .field-validation-error {
        font-size: 10px;
    }

    .form-group.col-20,
    .form-group.col-50,
    .form-group.col-80 {
        width: 100%;
        margin-right: 0 !important;
    }
}

@media (min-width: 481px) and (max-width: 768px) {
    #freeTrialContainer .window-title {
        font-size: 25px;
    }

    #freeTrialContainer .window-subtitle {
        font-size: 16px;
    }

    .send-message-box .send-message,
    .send-message-box .phone {
        font-size: 14px;
        line-height: 57px;
    }

    .jb-label {
        font-size: 16px;
    }

    .form-group .jb-lbl-input {
        font-size: 14px;
        padding: 25px 20px 0;
        line-height: 30px;
    }

    .domain-url-temp {
        font-size: 14px;
    }

    .form-group .jb-label {
        top: 29px;
        font-size: 14px;
    }

    .form-group.focused .jb-label {
        font-size: 12px;
    }

    .form-group .domain-url {
        left: 133px;
        top: 27px;
        font-size: 16px;
    }

    .form-group.focused .domain-url {
        top: 40px;
        right: 40px;
        font-size: 14px;
    }

    .form-group.domain .jbi-check,
    .form-group.domain .jbi-remove {
        top: 30px;
        right: 13px;
        font-size: 12px;
    }

    .form-group.domain .jb-lbl-input {
        padding-right: 125px;
    }

    .jb-lg-btn {
        line-height: 55px;
        font-size: 16px;
        padding: 0;
    }

    .form-group.password-progress .progress {
        height: 56px;
    }

    .form-group.password-progress #progessBar {
        top: 17px;
        right: 25px;
        font-size: 20px;
    }

    .jb-select {
        padding: 0 15px !important;
        height: 57px;
        font-size: 14px;
    }

    .valid-input:after,
    .invalid-input:after {
        top: 31px;
        right: 10px;
        font-size: 12px;
    }
}

@media (max-width: 992px) {
    #freeTrialContainer .inner-container.center {
        position: static;
        transform: translate(0,0);
        padding: 100px 20px;
    }
}

#CreateClubStep1 .intl-tel-input {
    width: 100% !important;
}

    #CreateClubStep1 .intl-tel-input .country-list .country {
        color: #000;
    }

    #CreateClubStep1 .intl-tel-input.allow-dropdown .selected-flag {
        padding: 0 0 0 22px;
    }

    #CreateClubStep1 .intl-tel-input .selected-flag .iti-arrow {
        right: -6px;
    }

#CreateClubStep1 input[type=tel]#phone {
    padding: 14px 60px !important;
}
